package com.ruoyi.web.work.mapper;

import java.util.List;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.domain.dto.PatientCardDto;
import com.ruoyi.web.work.domain.Pv1;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.web.work.domain.dto.Pv1MedicalRecord;
import org.apache.ibatis.annotations.Param;

/**
 * @author lsw
 * @date 2024-07-23
 */
public interface Pv1Mapper extends BaseMapper<Pv1> {
    List<Pv1> selectList(Pv1 pv1);

    List<PatientCardDto> getPatientCardByNameOrDepartment(@Param("patientName") String patientName, @Param("departmentName") String departmentName, @Param("physician") String physician);

    List<PatientCardDto> getAllDepartment();

    List<Pv1> getMedicalRecord(@Param("beginTime") String beginTime,@Param("endTime")  String endTime,@Param("patientId")  Long patientId);
}
