package com.ruoyi.web.work.service.impl;

import java.util.Collections;
import java.util.List;

import com.ruoyi.web.work.domain.Pv1;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.web.work.mapper.OrdersMapper;
import com.ruoyi.web.work.domain.Orders;
import com.ruoyi.web.work.service.IOrdersService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @author lsw
 * @date 2024-07-24
 */
@Service
public class OrdersServiceImpl extends ServiceImpl<OrdersMapper, Orders> implements IOrdersService {
    @Autowired
    private OrdersMapper ordersMapper;

    @Override
    public List<Orders> selectList(Orders orders) {
        return ordersMapper.selectList(orders);
    }


}
